import 'dart:convert';

import 'package:http/http.dart' as http;

import '../models/ventiladores_model.dart';

class VentiladoresProvider{
  final String _url = "smart.solerpalau.mx";

  Future<VentiladoresModel?> fetchVentiladores(String token) async{
    final url = Uri.https(_url, 'PR/api/v1/quiosco/matrizMemoriasCalculo/obtenerVentiladores');
    final res = await http.get(url,
      headers: {
        "Authorization": "Bearer $token",
      },
    );

    final dec = jsonDecode(res.body);
    if(!dec['response']){
      return null;
    }else{
      final ventiladores = VentiladoresModel.fromJson(dec);
      return ventiladores;
    }
  }
}